Public Member Functions

# HActionsSetupData Class Reference
[Device Model]

This class is used to specify information that is required to setup the `HActions` of an HService. More...

`#include <HActionsSetupData>`

List of all members.

## Public Member Functions
| HActionsSetupData ()
bool | insert (const HActionSetup &newItem)
bool | remove (const QString &name)
HActionSetup | get (const QString &name) const
bool | setInvoke (const QString &name, const HActionInvoke &actionInvoke)
bool | setInclusionRequirement (const QString &name, HInclusionRequirement incReq)
bool | contains (const QString &name) const
QSet< QString > | names () const
qint32 | size () const
bool | isEmpty () const

## Detailed Description

Remarks:
  this class is not thread-safe.

See also:
  HActionSetup

## Constructor & Destructor Documentation

HActionsSetupData | ( |  | ) |

Creates a new, empty instance.

See also:
  isEmpty()

## Member Function Documentation

bool insert | ( | const HActionSetup & | newItem | ) |

Inserts a new item.

Parameters:

  | newItem | specifies the item to be added.

Returns:
  true in case the item was added. The item will not be added if the instance already contains an item with the same name as `newItem`.

See also:
  remove()

bool remove | ( | const QString & | name | ) |

Removes an existing item.

Parameters:

  | name | specifies the name of the item to be removed.

Returns:
  true in case the item was found and removed.

See also:
  insert()

HActionSetup get | ( | const QString & | name | ) | const

Retrieves an action setup object.

Parameters:

  | name | specifies the name of the item to be retrieved.

Returns:
  the item with the specified name. Note that the returned item is invalid, i.e. HActionSetup::isValid() returns false in case no item with the specified name was found.

See also:
  contains()

bool setInvoke | ( | const QString & | name,
|  | const HActionInvoke & | actionInvoke |
| ) |  |  |

This is a convenience method for setting the callable entity that is called when the action is invoked.

Parameters:

  | name | specifies the name of the item.
  | actionInvoke | specifies the callable entity.

Returns:
  true in case the item was found and its callable entity was set.

Remarks:
  HActionInvoke is a server-side concept.

bool setInclusionRequirement | ( | const QString & | name,
|  | HInclusionRequirement | incReq |
| ) |  |  |

This is a convenience method for setting the inclusion requirement element of an item.

Parameters:

  | name | specifies the name of the item.
  | incReq | specifies the inclusion requirement value.

Returns:
  true when the item was found and the inclusion requirement element was set.

bool contains | ( | const QString & | name | ) | const`[inline]`

Indicates if the instance contains an item with the specified name.

Parameters:

  | name | specifies the name of the item.

Returns:
  true when the instance contains an item with the specified name.

See also:
  get()

QSet< QString > names | ( |  | ) | const

Returns the names of the contained items.

Returns:
  the names of the contained items.

qint32 size | ( |  | ) | const`[inline]`

Returns the number of contained items.

Returns:
  the number of contained items.

bool isEmpty | ( |  | ) | const`[inline]`

Indicates if the object is empty.

Returns:
  true in case the instance has no items.